PDA

View Full Version : Ext.require with expression doesn't work for me



whalethewise
3 Feb 2012, 12:19 PM
Hi

I am trying to preload all classes from certain path to be able to use lazy instantiation.

When I load them one by one it works,

when I try to do
Ext.require(['com.myorg.cl.tools.mymenuitems.*']) it doesnt.

Am I doing something wrong?

mitchellsimoens
4 Feb 2012, 6:13 AM
The wildcard '*' will only work for Ext widgets as we have a manifest file to tell the class system what classes are in certain namespaces.